<document>
<head>
    <name url="articles.html">Articles and Guides</name>
    <doc-version>$Date: 2004/03/14 01:49:58 $</doc-version>
</head>
<body>
<P>
This is a list of the articles published throughout the website, placed
in a single location to ease navigation.
<UL>
    <LI><B>JUnit Extensions</B>
    <UL>
        <LI><article-link package="testing-junit" file="art_naming" /></LI>
        <LI><article-link package="testing-junit" file="art_jf" /></LI>
        <LI><article-link package="testing-junit" file="art_hierarchy" /></LI>
        <LI><article-link package="testing-junit" file="art_eut" /></LI>
        <LI><article-link package="testing-junit" file="art_iut" /></LI>
        <LI><article-link package="testing-junit" file="art_ait" /></LI>
        
        <LI><article-link package="testing-junit" file="using_it" /></LI>
        <LI><article-link package="testing-junit" file="using_mtt" /></LI>
        <LI><article-link package="testing-junit" file="using_subtests" /></LI>
    </UL>
    </LI>
    <LI><B>Util-Classes</B>
    <UL>
        <LI><article-link package="util-classes" file="using" /></LI>
    </UL>
    </LI>
    <LI><B>AutoDoc</B>
    <UL>
        <LI><article-link package="testing-autodoc" file="art_selfdoc" /></LI>
        <LI><article-link package="testing-autodoc" file="using" /></LI>
    </UL>
    </LI>
    <LI><B>Util-XML</B>
    <UL>
        <LI><article-link package="util-xml" file="using" /></LI>
    </UL>
    </LI>
    <LI><B>GroboCodeCoverage</B>
    <UL>
        <LI><article-link package="codecoverage" file="v2_antdoc" /></LI>
    </UL>
    </LI>
</UL>
</P>

<P>
The following is a list of external articles about GroboUtils:
<UL>
    <LI>
    <a href="http://www.acm.vt.edu/~mheffner/selftest/">Using the SelfTest
    API</a> by Mike Heffner and Justin Holmes.  A wrapper and extension to
    the Hierarchial Testing Framework.
    </LI>
    <LI>
    <a href="http://java.net">java.net</a>:
    <a href="http://today.java.net/pub/a/today/2003/08/06/multithreadedTests.html"
    >Multithreaded Tests with JUnit</a> by N. Alex Rupp
    </LI>
    <LI>
    <a href="http://www.ddj.com">Dr. Dobb's Journal</a>
    <a href="http://www.ddj.com/documents/s=1679/ddj0302b/">February, 2003</a>:
    Testing Java Interfaces With JUnit by Matt Albrecht
    </LI>
    <LI>
    <a href="http://www.javaranch.com/newsletter/200401/IntroToCodeCoverage.html">
    Introduction to Code Coverage</a> by Lasse Koskela.
    <!-- I need to study this document to see where I can improve my
    coverage tool! -->
    </LI>
    <LI>
    <a href="http://www.acm.vt.edu/~mheffner/selftest/">
    Self-Testing API documentation</a>, which
    contains a wrapper around the GroboUtils JUnit extensions.
    </LI>
    <LI>
    <a href="http://www.jroller.com/page/Groboclown">
    The project lead's weblog</a>, which occasionally references the current
    development in GroboUtils.
    </LI>
</UL>
</P>

</body>
</document>

